<!DOCTYPE html>
<html>
    <head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-166753203-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-166753203-1');
        </script>
        <meta charset="utf-8"></meta>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"></meta>
        <title>VoxPeople : <udho:text value="label" /></title>
        <script type="application/ld+json">{
            "@context": "http://schema.org",
            "@type": "Map",
            "name": '<udho:text value="name" />',
            "description": '<udho:text value="label" />',
            "author": {
                "@type": "Person",
                "name": "Sunanda Bose"
            },
            "url": "https://voxpeople.org"
        }</script>
        <meta name="description"        udho:target:content="label"/>
        <meta property="og:type"        content="website"/>
        <meta property="og:title"       udho:target:content="label"/>
        <meta property="og:description" udho:target:content="label"/>
        <meta property="og:url"         content="https://voxpeople.org"/>
        <style>
            html, body{
                position: relative;
                height: 100%;
            }
            body .main{
                height: 100%;
            }
            [v-cloak] * { display:none }
            [v-cloak]::before { content: "loading…" }
        </style>
        <style type="text/css">
            #nprogress .bar {
                background: #f6e05e !important;
            }
 
            #nprogress .peg {
                box-shadow: 0 0 10px #f6e05e, 0 0 5px #f6e05e !important;
            }
 
            #nprogress .spinner-icon {
                border-top-color: #f6e05e !important;
                border-left-color: #f6e05e !important;
            }
        </style> 
    </head>
    <script type="text/javascript">
        var synopsis = <udho:text value="synopsis" />
    </script>
    <body class="bg-gray-300">
        <div class="main flex flex-col" id="main">
            <div class="relative" v-cloak="true">
                <wee-nav>
                    <wee-nav-item href="/chat">Chat</wee-nav-item>
                    <wee-nav-item href="/geo">Geo</wee-nav-item>
                    <template slot="actions">
                        <wee-nav-item udho:if="loggedin"><a udho:target:href="/user/profile/`uid`"><udho:text value="uname" /></a></wee-nav-item>
                        <wee-nav-item udho:if="not(loggedin)" href="/user/login" action="true">Login</wee-nav-item>
                        <wee-nav-item udho:if="loggedin" href="/user/logout" action="true">Logout</wee-nav-item>
                    </template>
                </wee-nav>
            </div>
            <div v-if="!notice" class="relative w-full justify-left text-sm py-2 items-center px-2 flex flex-row" :class="[palette().lighter.bg, palette().darkest.text]" v-cloak="true">
                <h1 class="flex-grow cursor-pointer" v-on:click="showNotice()"><udho:text value="label" /></h1>
            </div>
            <div v-if="notice" class="flex-grow relative container max-w-full justify-center bg-white" v-cloak="true">
                <button class="absolute right-0 top-0 mt-4 mr-4 font-bold text-sm inline-flex" v-on:click="closeNotice()">
                    <img svg-inline="true" class="fill-current inline-block w-6 h-6 m-auto" :class="[palette().dark.text, palette().darker.hover]" src="/components/pix/zond/close-solid.svg" />
                </button>
                <div class="flex flex-row w-full h-full">
                    <div class="description w-full h-full overflow-y-auto flex-grow" :class="[palette().darkest.text]">
                        <udho:html value="description" />
                    </div>
                    <div class="volunteers h-full overflow-y-auto flex flex-col w-full lg:w-1/3 border-l">
                        <h2 class="title mb-1 text-lg ml-4 mt-4 font-bold">The Team</h2>
                        <div class="h-full overflow-y-auto">
                            <udho:for in="volunteers" value="volunteer">
                                <div class="flex flex-wrap m-1">
                                    <div class="relative w-full p-2">
                                        <div class="count absolute right-0 top-0 mt-4 mr-4 rounded-full px-2" :class="[palette().darker.bg, palette().lighter.text]"><udho:text value="volunteer.count" /></div>
                                        <div class="h-full flex items-center border p-4 rounded-lg" :class="[palette().lightest.bg, palette().darkest.text]">
                                            <div class="flex-grow">
                                                <h2 class="title-font font-medium"><udho:text value="volunteer.name" /></h2>
                                                <p class=""><udho:text value="volunteer.affiliation" /></p>
                                                <p class="" udho:if="volunteer.different"><udho:text value="volunteer.affiliation2" /></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </udho:for>
                        </div>
                    </div>
                </div>
            </div>
            <div v-show="!notice" class="flex-grow relative container max-w-full justify-center">
                <div class="w-full min-w-full h-full overflow-hidden">
                    <table class="relative w-full h-full flex flex-col">
                        <thead>
                        <tr class="flex flex-row h-full items-center">
                            <th class="px-2 py-2 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider">Id</th>
                            <th class="px-2 py-2 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider flex flex-row flex-grow">AoI</th>
                            <th class="px-2 py-2 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider">Time</th>
                            <th class="px-2 py-2 border-b border-gray-200 bg-gray-50 text-left text-xs leading-4 font-medium text-gray-500 uppercase tracking-wider flex flex-row justify-end">Places</th>
                        </tr>
                        </thead>
                        <tbody class="bg-white overflow-y-auto w-full">
                        <udho:for in="reports" value="report">
                            <tr class="flex flex-row w-full">
                                <td class="px-2 py-2 whitespace-no-wrap">
                                    <div class="flex flex-col items-center content-center">
                                        <div class="flex-shrink-0 h-10 w-10">
                                            <img src="/components/pix/virus-green.svg" class="w-full h-full" />
                                        </div>
                                        <div class="px-2 rounded-full mt-2">
                                            <span class="text-xs"><udho:text value="report.id" /></span>
                                        </div>
                                    </div>
                                </td>
                                <td class="px-2 py-2 whitespace-no-wrap flex-grow w-full overflow-x-hidden">
                                    <div class="text-sm leading-5 text-gray-900 whitespace-pre-line w-full"><udho:text value="report.aoi" /></div>
                                </td>
                                <td class="px-2 py-2 whitespace-no-wrap">
                                    <div class="text-sm leading-5 text-gray-900" v-tooltip="'Time of Interest'"><udho:text value="report.toi" /></div>
                                    <div class="text-xs leading-5 text-gray-500" v-tooltip="'Created'"><udho:text value="report.created" /></div>
                                </td>
                                <td class="px-2 py-2 whitespace-no-wrap text-sm leading-5 text-gray-500">
                                    <button class="font-bold py-1 px-2 rounded inline-flex items-center rounded-l-lg rounded-r-lg">
                                        <img src="/components/pix/zond/location.svg" class="w-5 h-5 fill-current mt-1 mr-1" />
                                        <span class="inline-block text-xs"><udho:text value="report.nplaces" /></span>
                                    </button>
                                </td>
                            </tr>
                        </udho:for>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <script src="/dist/spatial.js"></script>
        <script async="true" type="text/javascript" src="https://osvaldas.info/examples/lazy-loading-disqus-comments/disqusloader.js"></script>
        <script async="true" id="dsq-count-scr" src="//http-voxpeople-org.disqus.com/count.js"></script>
    </body>
</html>
